#!/bin/bash

~/Qt/5.7.1_static/bin/lconvert -o qt_de.qm ~/Qt/5.7.1_static/translations/qtbase_de.qm
~/Qt/5.7.1_static/bin/lrelease ../muckturnier_de.ts -qm muckturnier_de.qm

~/Qt/5.7.1_static/bin/qmake muckturnier.pro -config release
make -j2
strip muckturnier

version="@VERSION@"

app_dir="Muckturnier-$version.AppDir"
bin_dir="usr/bin"
res_dir="usr/share/muckturnier"
doc_dir="usr/share/doc/muckturnier"
icn_dir="usr/share/icons/hicolor/scalable/apps"

mkdir -p $app_dir/$bin_dir
cp muckturnier $app_dir/$bin_dir/

mkdir -p $app_dir/$res_dir
cp *.qm $app_dir/$res_dir/
cp ../icons/* $app_dir/$res_dir/
rm $app_dir/$res_dir/muckturnier.svg
rm $app_dir/$res_dir/application-x-muckturnier.svg

mkdir -p $app_dir/$doc_dir
cp Readme.htm $app_dir/$doc_dir/

mkdir -p $app_dir/$icn_dir
cp ../icons/muckturnier.svg $app_dir/$icn_dir/

cp ../org.muckturnier.muckturnier.desktop $app_dir/muckturnier.desktop

cd $app_dir
ln -s $bin_dir/muckturnier AppRun
ln -s $icn_dir/muckturnier.svg
ln -s $icn_dir/muckturnier.svg .DirIcon
cd ..

~/bin/appimagetool $app_dir Muckturnier-$version-x86_64.AppImage
mv Muckturnier-$version-x86_64.AppImage ../../../
