QMAKE_CXXFLAGS += -std=c++11

CONFIG += qt
CONFIG += static

LIBS += -dead_strip

QT += widgets
QT += sql
QT += svg
QT += network

INCLUDEPATH += ../../src

HEADERS += ../../src/*.h
HEADERS += ../../src/ClientPage/*.h
HEADERS += ../../src/PlayersPage/*.h
HEADERS += ../../src/ScorePage/*.h
HEADERS += ../../src/ServerPage/*.h
HEADERS += ../../src/SettingsDialog/*.h
HEADERS += ../../src/StopWatchDialog/*.h
HEADERS += ../../src/shared/*.h

SOURCES += ../../src/*.cpp
SOURCES += ../../src/ClientPage/*.cpp
SOURCES += ../../src/PlayersPage/*.cpp
SOURCES += ../../src/ScorePage/*.cpp
SOURCES += ../../src/ServerPage/*.cpp
SOURCES += ../../src/SettingsDialog/*.cpp
SOURCES += ../../src/StopWatchDialog/*.cpp
SOURCES += ../../src/shared/*.cpp

RESOURCES.files += ../icons/banner.svg
RESOURCES.files += ../icons/hidden.svg
RESOURCES.files += ../icons/marker.svg
RESOURCES.files += ../icons/muckturnier.svg
RESOURCES.files += ../icons/new.svg
RESOURCES.files += ../icons/open.svg
RESOURCES.files += ../icons/unused.svg
RESOURCES.files += ../icons/visible.svg

RESOURCES.files += ./qt_de.qm
RESOURCES.files += ./muckturnier_de.qm
RESOURCES.files += ./application-x-muckturnier.icns

RESOURCES.files += ../../../Readme.htm

RESOURCES.path = Contents/Resources
QMAKE_BUNDLE_DATA += RESOURCES

ICON = muckturnier.icns
QMAKE_INFO_PLIST = Info.plist

TARGET = Muckturnier
