/* Copyright (c) 2019 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MACOSAPPLICATION_H
#define MACOSAPPLICATION_H

#include <QApplication>

class MacOSApplication : public QApplication
{
    Q_OBJECT

public:
    MacOSApplication(int &argc, char **argv);
    bool event(QEvent *event) override;

signals:
    void fileOpenRequested(const QString &path);

};

#endif // MACOSAPPLICATION_H
