/* Copyright (c) 2011-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#define DEFAULT_BOOGER_SCORE      21
#define DEFAULT_BOOGERS_PER_ROUND 2

#define DEFAULT_BOOGER_SYMBOL         "\u25CF"
#define DEFAULT_NAMES_SEPARATOR       " / "
#define DEFAULT_DB_FILE_NAME_TEMPLATE "'Muckturnier' yyyy"

#define MAXIMUM_BOOGER_SCORE         9999
#define MAXIMUM_BOOGERS_PER_ROUND    9999
#define MAXIMUM_PREASSIGNMENT_TABLES 9999
#define PREASSIGNMENT_TABLE_WARNING  300

#define IMPORT_SIZE_WARNING        9600
#define IMPORT_LINE_LENGTH_WARNING 80
#define IMPORT_LINES_COUNT_WARNING 300

#define DEFAULT_SERVER_PORT       8810
#define DEFAULT_CONNECT_TIMEOUT   6000
#define DEFAULT_REQUEST_TIMEOUT   3000

#define DEFAULT_DISCOVER_PORT     8811
#define DEFAULT_DISCOVER_TIMEOUT  500
#define DEFAULT_DISCOVER_ATTEMPTS 3
